package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.transformer;

import javax.xml.parsers.ParserConfigurationException;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 7/15/11
 * Time: 1:51 PM
 * To change this template use File | Settings | File Templates.
 */
public interface Context<T> {
    TransformationStep getStep();

    List<T> getInfo() throws ParserConfigurationException;

    Context<?> nextStep();
}
